Subject: Re: SOLVED: Re: SHELL on W2K (gmake 3.79.1) is cmd.exe not /bin/sh
From: "Max Bowsher" <[email-masked]>
To: "Mark Ovens" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 12 Mar 2003 18:41:41 -0000

Mark Ovens wrote:
> Max Bowsher wrote:
>> Get him to run "ls -l /bin/sh" and also "id" and send the output
>> here.
>>
>
> /bin/sh.exe had no perms set (and neither did anything else in /bin)
>
> I did a ''chmod 000 /bin/sh.exe'' on my system and got the same
> problem.
>
> I had checked with him early on that sh was executable, but by running
> it from the command line, and it worked. Just to test this I tried
> myself:
>
> marder-1:~{32}$ ls -l /bin/sh.exe
> -rwx------+   1 marko    None        69632 Jul 31  2002 /bin/sh.exe
> marder-1:~{33}$ chmod 000 /bin/sh.exe
> marder-1:~{34}$ ls -l /bin/sh.exe
> ----------+   1 marko    None        69632 Jul 31  2002 /bin/sh.exe
> marder-1:~{35}$ /bin/sh
> \h:\w{\#}$ exit
> marder-1:~{36}$
>
> That shouldn't work, surely? Without the execute bit set it should
> throw a "Command not found" or similar.

This weirdness arises due to the difficulties in mapping ACLs to Unix
permission bits. (Actually, the very latest, just released, not yet on all
the mirrors, version 1.3.21 of cygwin has an improvement relating to this.)

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/